Compatibilité de Gladys V4.3x avec Raspberry pi 5

Bonjour la communauté,

Compte tenu de la faible différence de prix entre une raspberry pi 4 et une raspberry pi 5, j’ai acheté la RP5 mais je n’arrive pas à installer Gladys? Est ce une erreur de ma part ou est ce que Gladys n’est pas compatible avec la RP5?

Merci :slightly_smiling_face:

Lorsque j’essaie de booter sur le SSD, le message « The installed operating system (OS) does not indicate support for Raspberry Pi 5 ».
Du coup, j’ai ma réponse mais y a-t-il un moyen de remédier à ça? :face_with_raised_eyebrow:

Apparemment, le RPI 5 est compatible avec Debian à partir de Bookworm (version 12). L’image Gladys est basée sur Bullseye (v11).
On peut travailler sur une nouvelle version de l’image.

Si tu veux avancer sans attendre, tu peux installer Raspberry Pi OS Lite (version 64 bits) et ajouter Gladys avec Docker.

2 Likes

Je vais essayer ça dans la soirée. Merci beaucoup.

Pour le développement de la nouvelle version de l’image, je pense que ce sera nécessaire ou au moins utile dans un avenir plus ou moins proche.
Merci :vulcan_salute:

2 Likes

Bonsoir,

J’ai essayé d’installer Galdys sur la RP5 par la méthode « Docker » manuelle et c’est une demie réussite. En fait, c’est fastidieux de le faire en installant Raspberry Pi OS Lite (version 64 bits) comme boot loader car il faut copier une à une les instructions pour charger Gladys.

Voici donc la méthode (pour les grands débutants comme moi) que j’ai utilisée:
1 - avec « Raspberry Pi Imager », copier "Raspberry Pi OS (64-bit) sur la carte SD ou sur le SSD en ayant renseigné les identifiant et MdP.
2 - Booter sur la SD ou SSD
3 - Lancer le navigateur sur la Raspberry et ouvrir la page « Installation avec Docker | Gladys Assistant ».
4 - Lancer la console (- c’est la fenêtre où on trouve l’invite de commande -)
5 - Exécuter la procédure décrite dans l’installation avec Docker

Cette méthode présente l’avantage de ne pas avoir a écrire les instructions mais juste à les copier/coller se qui évite les erreurs pour les non linuxiens.

…malheureusement, je n’ai pas réussi a installer ma clef zigbee2MQTT et j’ai le même problème que lors de l’essai avec ma RP3B.

Merci Cicoub pour ton aide :vulcan_salute: et j’espère que « ma » procédure aidera certains (sans aucune prétention)

1 Like

Super que tu ais pu avancer. Je suis plus connexion SSH depuis un autre PC que écran + clavier.
Donc je n’ai pas pensé à ta solution mais merci, elle aidera sûrement plein de personnes.

2 Likes

N’hésite pas à créer un sujet spécifique séparé si tu veux de l’aide sur ce point :slight_smile: